function $AdfLoadableScript$$($domWindow$$132$$) {
  this.Init($domWindow$$132$$);
}
$goog$exportSymbol$$("AdfLoadableScript", $AdfLoadableScript$$);
$AdfObject$$.$createSubclass$($AdfLoadableScript$$);
$AdfLoadableScript$$.prototype.Init = function $$AdfLoadableScript$$$$Init$($domWindow$$133$$) {
  $AdfLoadableScript$$.$superclass$.Init.call(this);
  this.$_domWindow$ = $domWindow$$133$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLoadableScript.prototype.Init", {Init:$AdfLoadableScript$$.prototype.Init});
$AdfLoadableScript$$.prototype.$getLoadMethod$ = function $$AdfLoadableScript$$$$$getLoadMethod$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLoadableScript.prototype.getLoadMethod", {$getLoadMethod$:$AdfLoadableScript$$.prototype.$getLoadMethod$});
$AdfLoadableScript$$.prototype.load = function $$AdfLoadableScript$$$$load$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLoadableScript.prototype.load", {load:$AdfLoadableScript$$.prototype.load});
$AdfLoadableScript$$.prototype.$ExecScript$ = function $$AdfLoadableScript$$$$$ExecScript$$($content$$34$$, $name$$116$$) {
  try {
    $AdfAgent$$.$AGENT$.execScript(this.$_domWindow$, $content$$34$$);
  } catch ($problem$$6$$) {
    $AdfPage$$.$PAGE$.$logAsGlobalError$($problem$$6$$), $AdfLogger$$.$LOGGER$.severe("Error: " + $problem$$6$$ + "\nWhile executing script: " + ($name$$116$$ ? $name$$116$$ : $content$$34$$));
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLoadableScript.prototype.ExecScript", {$ExecScript$:$AdfLoadableScript$$.prototype.$ExecScript$});
